<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class MessageRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'customer_id' => 'required|numeric',
            'send_by' => 'required',
			'subject' => 'required',
			'description' => 'required'
        ];
    }
	
	public function response(array $errors)
	{
		return response()->json([
				'title' => 'Message',
				'message' => 'Check the required fields and try again.',
				'errors' => $errors
			], 422);
	}
	
}
